<libosinfo version="0.0.1">
<!-- Licensed under the GNU General Public License version 2 or later.
     See http://www.gnu.org/licenses/ for a copy of the license text -->
  <os id="http://redhat.com/rhel/8.4">
    <short-id>rhel8.4</short-id>
    <name>Red Hat Enterprise Linux 8.4</name>
    <version>8.4</version>
    <vendor>Red Hat, Inc</vendor>
    <family>linux</family>
    <distro>rhel</distro>
    <codename>Ootpa</codename>
    <upgrades id="http://redhat.com/rhel/8.3"/>
    <derives-from id="http://redhat.com/rhel/8.3"/>

    <release-date>2021-05-19</release-date>

    <media arch="x86_64">
      <iso>
        <system-id>LINUX</system-id>
        <volume-id>RHEL-8-4-(([0-9]|[1-9][0-9])-)?BaseOS-x86_64</volume-id>
      </iso>
      <kernel>isolinux/vmlinuz</kernel>
      <initrd>isolinux/initrd.img</initrd>
    </media>

    <media arch="ppc64le">
      <iso>
        <system-id>PPC</system-id>
        <volume-id>RHEL[_-]8[_-]4[_-](([0-9]|[1-9][0-9])[_-])?BaseOS[_-]ppc64le</volume-id>
      </iso>
      <kernel>ppc/ppc64/vmlinuz</kernel>
      <initrd>ppc/ppc64/initrd.img</initrd>
    </media>

    <media arch="aarch64">
      <iso>
        <system-id>LINUX</system-id>
        <volume-id>RHEL-8-4-(([0-9]|[1-9][0-9])-)?BaseOS-aarch64</volume-id>
      </iso>
    </media>

    <media arch="s390x">
      <iso>
        <system-id>LINUX</system-id>
        <volume-id>RHEL-8-4-(([0-9]|[1-9][0-9])-)?BaseOS-s390x</volume-id>
      </iso>
    </media>

    <tree arch="aarch64">
      <treeinfo>
        <family>Red Hat Enterprise Linux</family>
        <version>^8.4(.([0-9]|[1-9][0-9]))?$</version>
        <arch>aarch64</arch>
      </treeinfo>
    </tree>

    <tree arch="ppc64le">
      <treeinfo>
        <family>Red Hat Enterprise Linux</family>
        <version>^8.4(.([0-9]|[1-9][0-9]))?$</version>
        <arch>ppc64le</arch>
      </treeinfo>
    </tree>

    <tree arch="s390x">
      <treeinfo>
        <family>Red Hat Enterprise Linux</family>
        <version>^8.4(.([0-9]|[1-9][0-9]))?$</version>
        <arch>s390x</arch>
      </treeinfo>
    </tree>

    <tree arch="x86_64">
      <treeinfo>
        <family>Red Hat Enterprise Linux</family>
        <version>^8.4(.([0-9]|[1-9][0-9]))?$</version>
        <arch>x86_64</arch>
      </treeinfo>
    </tree>

    <resources arch="ppc64le">
      <minimum>
        <n-cpus>1</n-cpus>
        <cpu>1000000000</cpu>
        <ram>2147483648</ram>
        <storage>10737418240</storage>
      </minimum>

      <recommended>
        <cpu>4000000000</cpu>
        <ram>2147483648</ram>
        <storage>21474836480</storage>
      </recommended>

      <maximum>
        <n-cpus>768</n-cpus>
        <ram>35184372088832</ram>
      </maximum>
    </resources>

    <resources arch="x86_64">
      <minimum>
        <cpu>1000000000</cpu>
        <ram>1610612736</ram>
        <storage>10737418240</storage>
      </minimum>

      <recommended>
        <cpu>1000000000</cpu>
        <ram>1610612736</ram>
        <storage>21474836480</storage>
      </recommended>

      <maximum>
        <n-cpus>768</n-cpus>
        <ram>26388279066624</ram>
      </maximum>

      <network-install>
        <ram>3221225472</ram>
      </network-install>
    </resources>

    <resources arch="s390x">
      <minimum>
        <ram>1073741824</ram>
        <storage>10737418240</storage>
      </minimum>

      <recommended>
        <storage>21474836480</storage>
      </recommended>

      <maximum>
        <n-cpus>340</n-cpus>
        <ram>17592186044416</ram>
      </maximum>

      <network-install>
        <ram>2147483648</ram>
      </network-install>
    </resources>

    <resources arch="aarch64">
      <minimum>
        <ram>2147483648</ram>
        <storage>10737418240</storage>
      </minimum>

      <recommended>
        <storage>21474836480</storage>
      </recommended>

      <maximum>
        <n-cpus>256</n-cpus>
        <ram>1649267441664</ram>
      </maximum>
    </resources>

    <resources arch="all">
      <minimum>
        <n-cpus>1</n-cpus>
        <cpu>1000000000</cpu>
        <ram>1610612736</ram>
        <storage>10737418240</storage>
      </minimum>

      <recommended>
        <cpu>1000000000</cpu>
        <ram>1610612736</ram>
        <storage>21474836480</storage>
      </recommended>
    </resources>

    <installer>
      <script id='http://redhat.com/rhel/kickstart/jeos'/>
      <script id='http://redhat.com/rhel/kickstart/desktop'/>
    </installer>
  </os>
</libosinfo>
